GIT-HTTP-FETCH(1)

NAME
git-http-fetch - downloads a remote git repository via HTTP

SYNOPSIS
git-http-fetch [-c] [-t] [-a] [-d] [-v] [-w filename] [--recover] <commit> <url>.sp

DESCRIPTION
Downloads a remote git repository via HTTP..sp

OPTIONS

commit-id
    Either the hash or the filename under [URL]/refs/ to pull.

-c  Get the commit objects.

-t  Get trees associated with the commit objects.

-a  Get all the objects.

-v  Report what is downloaded.

-w <filename>
    Writes the commit-id into the filename under $GIT_DIR/refs/<filename> on the local end after the transfer is complete.

AUTHOR
Written by Linus Torvalds <torvalds@osdl.org>.sp

DOCUMENTATION
Documentation by David Greaves, Junio C Hamano and the git-list <git@vger.kernel.org>..sp

GIT
Part of the git(7) suite.sp